Skip to main content

Subscriptions

Subscriptions are a declaration of interest in a particular resource, allowing a user to receive notifications when certain events occur. The events that trigger notifications are controlled by the type of subscription.


Objects​

Subscription​

PathJSON TypeFormatDescription
idstringVersion 4 UUIDThe subscription ID
createdstringISO 8601 timestampThe instant the subscription was created at
lastModifiedstringISO 8601 timestampThe instant the subscription was last modified at
typestringSubscription TypeThe type of subscription
{
"id" : "b5a770b4-8797-4954-aab8-668a1f26147f",
"created" : "2026-10-01T13:51:22.47993",
"lastModified" : "2026-10-01T13:51:22.479932",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/ada17655-d43e-46d8-b100-63485c6300c7"
}
}
}

Formats​

Subscription Type​

string

ValueDescription
ALLTriggers notifications for all resource events
ALERTSTriggers notifications for resource alert events only
NONEDoes not trigger any notifications

Requests​

View all subscriptions​

GET /api/subscriptions

Returns all subscriptions for the authenticated user profile.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions' -i -X GET

Response​

200 OK

Subscription collection with HAL links.

{
"_embedded" : {
"subscriptions" : [ {
"id" : "b5a770b4-8797-4954-aab8-668a1f26147f",
"created" : "2026-10-01T13:51:22.47993",
"lastModified" : "2026-10-01T13:51:22.619609",
"type" : "ALERTS",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/ada17655-d43e-46d8-b100-63485c6300c7"
}
}
}, {
"id" : "d98d7f5c-155f-46e7-9609-c146561b1b8e",
"created" : "2026-10-01T13:51:22.843388",
"lastModified" : "2026-10-01T13:51:22.84339",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"dataset" : {
"id" : "dbb34ad6-abaf-4840-9d91-7eafc81e1dd0",
"published" : "2026-10-01T13:51:17.120794",
"alias" : "simple-bar-chart",
"workspaceId" : "b4b2946e-0101-4e49-83b3-0cccabbbed96",
"source" : "matatika-limited",
"title" : "How many people have visited our website?",
"description" : "# Some Markdown\n- point 1\n- point 2\n- point 3\n",
"questions" : "[''This is my question'', ''this is second question'']",
"visualisation" : "{\"google-chart\": {\"chartType\": \"BarChart\",\"options\": {\"title\": \"Website visitors\"}}}",
"query" : "SELECT to_char(date(report_date),'YYYYMM') as year_month, SUM(sessions) \n FROM\n \"google_analytics_website_overview\"\n WHERE\n \"google_analytics_website_overview\".\"report_date\" >= DATE(NOW()) - INTERVAL '365 DAY'\n GROUP BY year_month\n ORDER BY year_month ASC;",
"likeCount" : 0,
"likedByProfiles" : [ ],
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-01T13:51:17.13298",
"score" : 1.0
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/d98d7f5c-155f-46e7-9609-c146561b1b8e"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d98d7f5c-155f-46e7-9609-c146561b1b8e",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d98d7f5c-155f-46e7-9609-c146561b1b8e",
"type" : "PUT"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/dbb34ad6-abaf-4840-9d91-7eafc81e1dd0"
}
}
}, {
"id" : "f0d6e90a-b4b0-42c9-a259-7a39e78656f0",
"created" : "2026-10-01T13:51:28.583394",
"lastModified" : "2026-10-01T13:51:28.583396",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"pipeline" : {
"id" : "55451178-13cd-44ac-a313-4746cfbc7711",
"label" : "SIT-generated-pipeline",
"name" : "sit-generated-pipeline",
"lastModified" : "2026-10-01T13:51:23.407328"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/f0d6e90a-b4b0-42c9-a259-7a39e78656f0"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/f0d6e90a-b4b0-42c9-a259-7a39e78656f0",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/f0d6e90a-b4b0-42c9-a259-7a39e78656f0",
"type" : "PUT"
},
"pipeline" : {
"href" : "https://app.meltano.com/api/pipelines/55451178-13cd-44ac-a313-4746cfbc7711"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}

View all member subscriptions to a workspace​

GET /api/workspaces/{workspace-id}/members/subscriptions

Returns all member subscriptions to the workspace {workspace-id}.

Prerequisites​

  • Workspace {workspace-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/b4b2946e-0101-4e49-83b3-0cccabbbed96/members/subscriptions' -i -X GET

Response​

200 OK

Subscription collection with HAL links.

{
"_embedded" : {
"subscriptions" : [ {
"id" : "efbb35ed-ae13-44f4-a698-37c242eefc4d",
"created" : "2026-10-01T13:51:28.730956",
"lastModified" : "2026-10-01T13:51:28.730957",
"type" : "ALL",
"_embedded" : {
"subscriberWorkspace" : {
"id" : "b4b2946e-0101-4e49-83b3-0cccabbbed96",
"name" : "Test Workspace [2026-10-01T13:51:16.326306740]"
},
"workspace" : {
"id" : "b4b2946e-0101-4e49-83b3-0cccabbbed96",
"name" : "Test Workspace [2026-10-01T13:51:16.326306740]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/efbb35ed-ae13-44f4-a698-37c242eefc4d"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/efbb35ed-ae13-44f4-a698-37c242eefc4d",
"type" : "PUT"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/efbb35ed-ae13-44f4-a698-37c242eefc4d",
"type" : "DELETE"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/b4b2946e-0101-4e49-83b3-0cccabbbed96"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/workspaces/b4b2946e-0101-4e49-83b3-0cccabbbed96/members/subscriptions?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}

View a subscription​

GET /api/subscriptions/{subscription-id}

Returns the subscription {subscription-id}.

Prerequisites​

  • Subscription {subscription-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f' -i -X GET

Response​

200 OK

Subscription with HAL links.

{
"id" : "b5a770b4-8797-4954-aab8-668a1f26147f",
"created" : "2026-10-01T13:51:22.47993",
"lastModified" : "2026-10-01T13:51:22.479932",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/ada17655-d43e-46d8-b100-63485c6300c7"
}
}
}

Subscribe to a workspace​

POST /api/workspaces/{workspace-id}/subscriptions

Subscribes the authenticated user profile to the workspace {workspace-id}.

By default, the subscription is configured for all workspace events (see Subscription Type for more information).

Prerequisites​

  • Workspace {workspace-id} must exist

Query Parameters​

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to workspace events, in order to enable workspace-wide notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/b4b2946e-0101-4e49-83b3-0cccabbbed96/subscriptions?allMembers=true' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

Subscription with HAL links.

{
"id" : "efbb35ed-ae13-44f4-a698-37c242eefc4d",
"created" : "2026-10-01T13:51:28.730956133",
"lastModified" : "2026-10-01T13:51:28.73095736",
"type" : "ALL",
"_embedded" : {
"subscriberWorkspace" : {
"id" : "b4b2946e-0101-4e49-83b3-0cccabbbed96",
"name" : "Test Workspace [2026-10-01T13:51:16.326306740]"
},
"workspace" : {
"id" : "b4b2946e-0101-4e49-83b3-0cccabbbed96",
"name" : "Test Workspace [2026-10-01T13:51:16.326306740]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/efbb35ed-ae13-44f4-a698-37c242eefc4d"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/efbb35ed-ae13-44f4-a698-37c242eefc4d",
"type" : "PUT"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/efbb35ed-ae13-44f4-a698-37c242eefc4d",
"type" : "DELETE"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/b4b2946e-0101-4e49-83b3-0cccabbbed96"
}
}
}

Subscribe to a channel​

POST /api/channels/{channel-id}/subscriptions

Subscribes the authenticated user profile to the channel {channel-id}.

By default, the subscription is configured for all channel events (see Subscription Type for more information).

Prerequisites​

  • Channel {channel-id} must exist

Query Parameters​

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to channel events, enabling notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/channels/ada17655-d43e-46d8-b100-63485c6300c7/subscriptions' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

Subscription with HAL links.

{
"id" : "b5a770b4-8797-4954-aab8-668a1f26147f",
"created" : "2026-10-01T13:51:22.479930261",
"lastModified" : "2026-10-01T13:51:22.479932163",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/ada17655-d43e-46d8-b100-63485c6300c7"
}
}
}

Subscribe to a dataset​

POST /api/datasets/{dataset-id}/subscriptions

Subscribes the authenticated user profile to the dataset {dataset-id}.

By default, the subscription is configured for all dataset events (see Subscription Type for more information).

Prerequisites​

  • Dataset {dataset-id} must exist

Query Parameters​

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to dataset events, enabling notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/dbb34ad6-abaf-4840-9d91-7eafc81e1dd0/subscriptions' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

Subscription with HAL links.

{
"id" : "d98d7f5c-155f-46e7-9609-c146561b1b8e",
"created" : "2026-10-01T13:51:22.843388143",
"lastModified" : "2026-10-01T13:51:22.84338969",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"dataset" : {
"id" : "dbb34ad6-abaf-4840-9d91-7eafc81e1dd0",
"published" : "2026-10-01T13:51:17.120794",
"alias" : "simple-bar-chart",
"workspaceId" : "b4b2946e-0101-4e49-83b3-0cccabbbed96",
"source" : "matatika-limited",
"title" : "How many people have visited our website?",
"description" : "# Some Markdown\n- point 1\n- point 2\n- point 3\n",
"questions" : "[''This is my question'', ''this is second question'']",
"visualisation" : "{\"google-chart\": {\"chartType\": \"BarChart\",\"options\": {\"title\": \"Website visitors\"}}}",
"query" : "SELECT to_char(date(report_date),'YYYYMM') as year_month, SUM(sessions) \n FROM\n \"google_analytics_website_overview\"\n WHERE\n \"google_analytics_website_overview\".\"report_date\" >= DATE(NOW()) - INTERVAL '365 DAY'\n GROUP BY year_month\n ORDER BY year_month ASC;",
"likeCount" : 0,
"likedByProfiles" : [ ],
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-01T13:51:17.13298",
"score" : 1.0
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/d98d7f5c-155f-46e7-9609-c146561b1b8e"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d98d7f5c-155f-46e7-9609-c146561b1b8e",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d98d7f5c-155f-46e7-9609-c146561b1b8e",
"type" : "PUT"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/dbb34ad6-abaf-4840-9d91-7eafc81e1dd0"
}
}
}

Subscribe to a pipeline​

POST /api/pipelines/{pipeline-id}/subscriptions

Subscribes the authenticated user profile to the pipeline {pipeline-id}.

By default, the subscription is configured for all pipeline events (see Subscription Type for more information).

Prerequisites​

  • Pipeline {pipeline-id} must exist

Query Parameters​

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to pipeline events, enabling notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/pipelines/55451178-13cd-44ac-a313-4746cfbc7711/subscriptions' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

Subscription with HAL links.

{
"id" : "f0d6e90a-b4b0-42c9-a259-7a39e78656f0",
"created" : "2026-10-01T13:51:28.583394213",
"lastModified" : "2026-10-01T13:51:28.583395589",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"pipeline" : {
"id" : "55451178-13cd-44ac-a313-4746cfbc7711",
"label" : "SIT-generated-pipeline",
"name" : "sit-generated-pipeline",
"lastModified" : "2026-10-01T13:51:23.407328"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/f0d6e90a-b4b0-42c9-a259-7a39e78656f0"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/f0d6e90a-b4b0-42c9-a259-7a39e78656f0",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/f0d6e90a-b4b0-42c9-a259-7a39e78656f0",
"type" : "PUT"
},
"pipeline" : {
"href" : "https://app.meltano.com/api/pipelines/55451178-13cd-44ac-a313-4746cfbc7711"
}
}
}

Update a subscription​

PUT /api/subscriptions/{subscription-id}

Updates the subscription {subscription-id}.

Prerequisites​

  • Subscription {subscription-id} must exist

Body​

PathJSON TypeFormatDescription
typestringSubscription TypeThe type of subscription
{
"type" : "ALERTS"
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"type" : "ALERTS"
}'

Response​

200 OK

Subscription with HAL links.

{
"id" : "b5a770b4-8797-4954-aab8-668a1f26147f",
"created" : "2026-10-01T13:51:22.47993",
"lastModified" : "2026-10-01T13:51:22.619609194",
"type" : "ALERTS",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/ada17655-d43e-46d8-b100-63485c6300c7"
}
}
}

Remove a subscription​

DELETE /api/subscriptions/{subscription-id}

Removes the subscription {subscription-id}.

Prerequisites​

  • Subscription {subscription-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions/b5a770b4-8797-4954-aab8-668a1f26147f' -i -X DELETE

Response​

204 No Content

No response body provided.